Bug 238267 - Strange cp behaviour
Summary: Strange cp behaviour
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
(Show other bugs)
Version: 6
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-28 15:49 UTC by Need Real Name
Modified: 2008-01-20 21:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-20 21:01:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (30.97 KB, application/orders)
2007-04-28 15:49 UTC, Need Real Name
no flags Details

Description Need Real Name 2007-04-28 15:49:43 UTC
Description of problem:
USB flash drive automounted width kde as /media/BACKUP.  The following works
fine invoked from the command line as root:

cp -fvr /disk /media/BACKUP

When invoked as a script, where the above is the only line in the script file:

./script

cp reports each file as being copied, but doesn't actually do it. Files are not
copied, and timestamps of existing files do not change on the destination.

There are two usb flash devices with the same volume name to allow rotation of
backups.  Both mount normally, and work fine with cp from the command line.


Version-Release number of selected component (if applicable):
coreutils-5.97-12.3.fc6
kernel-2.6.20-1.2933.fc6
hal-0.5.8.1-6.fc6

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Need Real Name 2007-04-28 15:49:43 UTC
Created attachment 153714 [details]
dmesg

Comment 2 Tim Waugh 2007-05-17 11:35:04 UTC
Are you running the script from the same context as you ran the command line? 
I.e. instead of 'cp ...' you are running './script'?  What about when you run '.
./script' (i.e. ". " in front)?

Comment 3 Ondrej Vasik 2008-01-20 21:01:14 UTC
In NEEDINFO for 8 months with no response and against EOL FC-5 version, closing
INSUFFICIENT_DATA. In the case that you want to reopen it, test it with latest
Fedora release(F8 or RAWHIDE) and provide requested informations.


Note You need to log in before you can comment on or make changes to this bug.